<form name="editForm" role="form" novalidate (ngSubmit)="save()" #editForm="ngForm">

    <div class="modal-header">
        <h6 class="modal-title" id="myUnitAccesoriesMapperLabel" jhiTranslate="mpmApp.unitAccesoriesMapper.home.createOrEditLabel">Create or edit a Unit Accesories Mapper</h6>
        <button type="button" class="close" data-dismiss="modal" aria-hidden="true" (click)="clear()">&times;</button>
    </div>
    <div class="modal-body">
        <jhi-alert-error></jhi-alert-error>
        <div class="form-group" [hidden]="!unitAccesoriesMapper.idUnitAccMapper">
            <label for="id" jhiTranslate="global.field.id">ID</label>
            <input type="text" class="form-control" id="id" name="id" [(ngModel)]="unitAccesoriesMapper.idUnitAccMapper" readonly />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.unitAccesoriesMapper.acc1" for="field_acc1">Acc 1</label>
            <input type="text" class="form-control" name="acc1" id="field_acc1"
                [(ngModel)]="unitAccesoriesMapper.acc1"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.unitAccesoriesMapper.qtyAcc1" for="field_qtyAcc1">Qty Acc 1</label>
            <input currencyMask class="form-control" name="qtyAcc1" id="field_qtyAcc1"
                [(ngModel)]="unitAccesoriesMapper.qtyAcc1"
                [options]="{ prefix: '', thousands: '.', decimal: ',', precision: '0' }"
                 />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.unitAccesoriesMapper.acc2" for="field_acc2">Acc 2</label>
            <input type="text" class="form-control" name="acc2" id="field_acc2"
                [(ngModel)]="unitAccesoriesMapper.acc2"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.unitAccesoriesMapper.qtyAcc2" for="field_qtyAcc2">Qty Acc 2</label>
            <input currencyMask class="form-control" name="qtyAcc2" id="field_qtyAcc2"
                [(ngModel)]="unitAccesoriesMapper.qtyAcc2"
                [options]="{ prefix: '', thousands: '.', decimal: ',', precision: '0' }"
                 />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.unitAccesoriesMapper.acc3" for="field_acc3">Acc 3</label>
            <input type="text" class="form-control" name="acc3" id="field_acc3"
                [(ngModel)]="unitAccesoriesMapper.acc3"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.unitAccesoriesMapper.qtyAcc3" for="field_qtyAcc3">Qty Acc 3</label>
            <input currencyMask class="form-control" name="qtyAcc3" id="field_qtyAcc3"
                [(ngModel)]="unitAccesoriesMapper.qtyAcc3"
                [options]="{ prefix: '', thousands: '.', decimal: ',', precision: '0' }"
                 />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.unitAccesoriesMapper.acc4" for="field_acc4">Acc 4</label>
            <input type="text" class="form-control" name="acc4" id="field_acc4"
                [(ngModel)]="unitAccesoriesMapper.acc4"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.unitAccesoriesMapper.qtyAcc4" for="field_qtyAcc4">Qty Acc 4</label>
            <input currencyMask class="form-control" name="qtyAcc4" id="field_qtyAcc4"
                [(ngModel)]="unitAccesoriesMapper.qtyAcc4"
                [options]="{ prefix: '', thousands: '.', decimal: ',', precision: '0' }"
                 />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.unitAccesoriesMapper.acc5" for="field_acc5">Acc 5</label>
            <input type="text" class="form-control" name="acc5" id="field_acc5"
                [(ngModel)]="unitAccesoriesMapper.acc5"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.unitAccesoriesMapper.qtyAcc5" for="field_qtyAcc5">Qty Acc 5</label>
            <input currencyMask class="form-control" name="qtyAcc5" id="field_qtyAcc5"
                [(ngModel)]="unitAccesoriesMapper.qtyAcc5"
                [options]="{ prefix: '', thousands: '.', decimal: ',', precision: '0' }"
                 />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.unitAccesoriesMapper.acc6" for="field_acc6">Acc 6</label>
            <input type="text" class="form-control" name="acc6" id="field_acc6"
                [(ngModel)]="unitAccesoriesMapper.acc6"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.unitAccesoriesMapper.qtyAcc6" for="field_qtyAcc6">Qty Acc 6</label>
            <input currencyMask class="form-control" name="qtyAcc6" id="field_qtyAcc6"
                [(ngModel)]="unitAccesoriesMapper.qtyAcc6"
                [options]="{ prefix: '', thousands: '.', decimal: ',', precision: '0' }"
                 />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.unitAccesoriesMapper.acc7" for="field_acc7">Acc 7</label>
            <input type="text" class="form-control" name="acc7" id="field_acc7"
                [(ngModel)]="unitAccesoriesMapper.acc7"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.unitAccesoriesMapper.qtyAcc7" for="field_qtyAcc7">Qty Acc 7</label>
            <input currencyMask class="form-control" name="qtyAcc7" id="field_qtyAcc7"
                [(ngModel)]="unitAccesoriesMapper.qtyAcc7"
                [options]="{ prefix: '', thousands: '.', decimal: ',', precision: '0' }"
                 />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.unitAccesoriesMapper.promat1" for="field_promat1">Promat 1</label>
            <input type="text" class="form-control" name="promat1" id="field_promat1"
                [(ngModel)]="unitAccesoriesMapper.promat1"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.unitAccesoriesMapper.qtyPromat1" for="field_qtyPromat1">Qty Promat 1</label>
            <input currencyMask class="form-control" name="qtyPromat1" id="field_qtyPromat1"
                [(ngModel)]="unitAccesoriesMapper.qtyPromat1"
                [options]="{ prefix: '', thousands: '.', decimal: ',', precision: '0' }"
                 />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.unitAccesoriesMapper.promat2" for="field_promat2">Promat 2</label>
            <input type="text" class="form-control" name="promat2" id="field_promat2"
                [(ngModel)]="unitAccesoriesMapper.promat2"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.unitAccesoriesMapper.qtyPromat2" for="field_qtyPromat2">Qty Promat 2</label>
            <input currencyMask class="form-control" name="qtyPromat2" id="field_qtyPromat2"
                [(ngModel)]="unitAccesoriesMapper.qtyPromat2"
                [options]="{ prefix: '', thousands: '.', decimal: ',', precision: '0' }"
                 />
        </div>

        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.unitAccesoriesMapper.motor" for="field_motor">Motor</label>
            <select class="form-control" id="field_motor" name="motor" [(ngModel)]="unitAccesoriesMapper.motorId" >
                <option [ngValue]="null"></option>
                <option [ngValue]="motorOption.idProduct" *ngFor="let motorOption of motors; trackBy: trackMotorById">{{motorOption.name}}</option>
            </select>
        </div>
    </div>
    <div class="modal-footer">
        <button pButton type="button" data-dismiss="modal" (click)="clear()"
            label="{{'entity.action.cancel' | translate}}" 
            icon="fa-ban"
            class="ui-button-danger flat-label-button">
        </button>
        <button pButton type="submit" [disabled]="editForm.form.invalid || isSaving"
            label="{{'entity.action.save' | translate}}" 
            icon="fa-save"
            class="ui-button-primary flat-label-button">
        </button>
    </div>
</form>
